<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="description" content="Service Installation" />
  <title>Service installation</title>
</head>

<body>
  <h1>How can I install this service?</h1>
  <div>
    <ul>
      <li>
        <p>
          For installing the C4 Gateway Galaxy service on your lab, the first thing you need to do is to clone the c4
          gateway galaxy repository on your lab or local machine.
        </p>
        <code>
                          git clone c4_gateway_galaxy_repo.git
      </code>
      </li>
      <li>
        <p>After that, you will access the folder that has been created with the name <b>c4-gateway-galaxy</b> with the
          command:</p>
        <code>            cd c4-gateway-galaxy</code></br>
      </li>
      <li>
        <p>Once you are in, you will make sure you have Docker installed at least in version 27.1.1 and you will run the
          following set of commands to avoid issues when the C4 Gateway Galaxy container starts:</p>
        <code>            docker run --rm -it --entrypoint /bin/sh nodered/node-red -c "id"</code></br>
        <code>            sudo chown -R 1000:1000 .</code></br>
        <code>            sudo chmod -R 755 .</code></br>
      </li>
      <li>
        <p>After ran those commands, you will execute the following:</p>
        <code>            env TAG=testing-v4 docker compose up -d</code></br>
      </li>
      <li>
        <p>After that, you will check if the service is up and running by checking on if there is a line like this when
          you run <b>docker ps -a</b>:</p>
        <code>            1dbb13ef71cd   nodered/node-red                                         "./entrypoint.sh"        17 hours ago   Up 17 hours (healthy)   0.0.0.0:1882->1880/tcp, :::1882->1880/tcp   c4-gateway-galaxy-c4-gtw-gxy-1</code></br>
      </li>
      <li>
        <p>If so, and it is healthy, you will jump to internet and write <b>your_hostname:1882</b> which will open the
          C4 Gateway Galaxy service for you.</p>
      </li>
    </ul>
  </div>
</body>

</html>